#### 7.10.2.11 crystallographicGroupP2

Procedure from library `fpalgebras.lib` (see fpalgebras_lib).

Usage:
  crystallographicGroupP2(d); d an integer

Return:
  ring

Note:
  - the ring contains the ideal I, which contains the required relations - p2 group with the following presentation
  < x, y, m, t | [x, y] = t^2 = 1, m^2 = y, t^(-1)*x*t = x, m^(-1)*x*m = x^(-1), t^(-1)*y*t = y^(-1), t^(-1)*m*t = m^(-1) > - d gives the degreebound for the Letterplace ring

Example:

    LIB "fpalgebras.lib";
    def R = crystallographicGroupP2(5); setring R;
    I;
    ==> I[1]=y*x+x*y+1
    ==> I[2]=y*x+x*y+t*t
    ==> I[3]=m*m+y
    ==> I[4]=t*t+1
    ==> I[5]=t*x*t+x
    ==> I[6]=M*x*m+X
    ==> I[7]=t*y*t+Y
    ==> I[8]=t*m*t+M
    ==> I[9]=X*x+1
    ==> I[10]=x*X+1
    ==> I[11]=Y*y+1
    ==> I[12]=y*Y+1
    ==> I[13]=m*M+1
    ==> I[14]=M*m+1

User manual for Singular version 4.4.1, 2025, generated by texi2html.